Error updating package list

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help
Post Reply
Yellow
Level 1
Level 1
Posts: 3
Joined: Sun May 16, 2010 8:13 pm

Error updating package list

Post by Yellow »

I get the following error in the update manager

Failed to fetch http://packages.linuxmint.com/dists/helena/Release Unable to find expected entry multiverse/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

Any help on this?

Additionally when I try to burn a CD brasero but also other burners do not recognise the blank CD media in tray
User avatar
proxima_centauri
Level 11
Level 11
Posts: 3944
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Error updating package list

Post by proxima_centauri »

There is no multiverse entry for the Linux Mint repositories (there is a multiverse ubuntu repo though).

Open up /etc/apt/sources.list, so in terminal:

Code: Select all

gksudo gedit /etc/apt/sources.list
Remove multiverse from the following line:

Code: Select all

deb http://packages.linuxmint.com/ helena
If you are unsure, please post your /etc/apt/sources.list
Yellow
Level 1
Level 1
Posts: 3
Joined: Sun May 16, 2010 8:13 pm

Re: Error updating package list

Post by Yellow »

Removed multiverse but now I am getting this:

Failed to fetch http://packages.linuxmint.com/dists/helena/Release Unable to find expected entry universe/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.


Here is the file contents ( i removed multiverse)

deb http://packages.linuxmint.com/ helena main upstream universe
deb http://archive.ubuntu.com/ubuntu/ karmic main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ karmic partner
deb http://packages.medibuntu.org/ karmic free non-free


# deb http://downloads.sourceforge.net/projec ... ozilla/apt all main
User avatar
proxima_centauri
Level 11
Level 11
Posts: 3944
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Error updating package list

Post by proxima_centauri »

There error is in this line:

Code: Select all

deb http://packages.linuxmint.com/ helena main upstream universe
It should read (you may or may not need "import", it is included as an option in LM9 RC1, not sure if it's applicable to LM8)

Code: Select all

deb http://packages.linuxmint.com/ helena main upstream import
Yellow
Level 1
Level 1
Posts: 3
Joined: Sun May 16, 2010 8:13 pm

Re: Error updating package list

Post by Yellow »

solved, thanks
nilsgeylen
Level 1
Level 1
Posts: 5
Joined: Sat May 15, 2010 3:38 pm
Location: Antwerp, Belgium
Contact:

Re: Error updating package list

Post by nilsgeylen »

proxima_centauri wrote:There error is in this line:

Code: Select all

deb http://packages.linuxmint.com/ helena main upstream universe
It should read (you may or may not need "import", it is included as an option in LM9 RC1, not sure if it's applicable to LM8)

Code: Select all

deb http://packages.linuxmint.com/ helena main upstream import
Worked for Isadora too. Seems solved.
gotjazz
Level 4
Level 4
Posts: 381
Joined: Fri May 28, 2010 11:38 am
Location: Vienna, Austria

Re: Error updating package list

Post by gotjazz »

no universe either?
Image
User avatar
proxima_centauri
Level 11
Level 11
Posts: 3944
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Error updating package list

Post by proxima_centauri »

gotjazz wrote:no universe either?
No, not for deb http://packages.linuxmint.com/
gotjazz
Level 4
Level 4
Posts: 381
Joined: Fri May 28, 2010 11:38 am
Location: Vienna, Austria

Re: Error updating package list

Post by gotjazz »

ok thanks - got the same error. somehow universe snuck in there.
Image
User avatar
proxima_centauri
Level 11
Level 11
Posts: 3944
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Error updating package list

Post by proxima_centauri »

I think it might have something to do with Ubuntu Tweak or some Ubuntu program that deals with repo's.
gotjazz
Level 4
Level 4
Posts: 381
Joined: Fri May 28, 2010 11:38 am
Location: Vienna, Austria

Re: Error updating package list

Post by gotjazz »

hrm I seem to remember that something prompted me to add a repository - it was something relatively trustworthy or else I wouldn't have clicked yes and entered my root pw. I just can't quite recall what it was. Ubuntuone maybe? Either that or something related to cpufreq or ntp time-settings...
Image
Post Reply

Return to “Other topics”